﻿using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TabControl_Remove_Items
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            int itemscount = (DataContext as ViewModel).Items.Count;
            (DataContext as ViewModel).Items.Add(new TabItemExt() { Header = "Item " + itemscount });
            (DataContext as ViewModel).SelectedItem = (DataContext as ViewModel).Items[itemscount];
        }
    }
 
    public class ViewModel:NotificationObject
    {
        private ObservableCollection<TabItemExt> items;

        public ObservableCollection<TabItemExt> Items
        {
            get { return items; }
            set { items = value; }
        }

        private TabItemExt selectedItem;

        public TabItemExt SelectedItem
        {
            get { return selectedItem; }
            set { selectedItem = value; }
        }
               
        public ViewModel()
        {
            items = new ObservableCollection<TabItemExt>();            
        }
    }

    public class MyMenu
    {
        private string header;

        public string Header
        {
            get { return header; }
            set { header = value; }
        }
    }
  
}
